<?php
use Illuminate\Support\Facades\Route;
use App\Modules\Admin\Controllers\AdminController;

Route::prefix('admin')->group(function () {

    Route::post('login', [AdminController::class, 'login']);
});

Route::middleware(['auth:admin', 'role:admin'])->group(function () {
    Route::get('/dashboard', [AdminController::class, 'dashboard']);
});